Chuyển tới nội dung chính
Phiên bản: Next

Lấy trạng thái tờ khai

GET /core-api/customers/declaration-status

API dùng để lấy trạng thái tờ khai kiểm tra xem đã có tờ khai chấp nhận chưa.

Headers

NameRequiredDescription
AuthorizationBearer token
Content-Typeapplication/json

Query Parameters

NameRequiredDescription
providerTên nhà cung cấp đang sử dụng (e.g., 'm-invoice').
taxCodeMã số thuế người bán.
sortingSắp xếp theo trường (e.g., 'creationTime').
sortTypeKiểu sắp xếp (DESCEND, ASCEND).
formDateNgày lập từ ngày (YYYY-MM-DD).
toDateNgày lập đến ngày (YYYY-MM-DD).
taxAuthorityFeedbackPhản hồi của CQT (1: Tiếp nhận, 2: Không tiếp nhận, 3: Chấp nhận, 4: Không chấp nhận).

Response

NameDescription
data[].idId tờ khai
data[].formalityLoại tờ khai, 1: Đăng ký, 2: Thay đổi
data[].taxCodeMã số thuế người bán
data[].taxAuthorityFeedbackPhản hồi của CQT
data[].dateCreateNgày tạo, định dạng ISO 8601
data[].statusTrạng thái tờ khai, 0: Chưa gửi, 1: Đã gửi
data[].dateSignNgày ký, định dạng ISO 8601
curl --location 'https://stag-invoice-hub.atomsolution.vn/core-api/customers/declaration-status?provider=m-invoice&taxCode=0106026495-998&sorting=creationTime&sortType=DESCEND&fromDate=2024-12-31&toDate=2025-08-12&taxAuthorityFeedback=3' \
--header 'authorization: Bearer O87316arj5+Od3Fqyy5hzdBfIuPk73eKqpAzBSvv8sY='